Navigate/Search

WPMU-LDAP: WPMU 1.3rc2 Compatibility

I spent some time today hacking away at the most recent revision of the WPMU code from SVN… the bleeding edge (at the time, anyway) revision of 1101. I was in the process of starting to evaluate the WPMU 1.3 release candidate, and to try to get it working with the LDAP plugin. This was to hopefully nip any issues (like this one) in the bud before WPMU 1.3 is released.

Fortunately, it worked beautifully, and it looks like getting the plugin to work with WPMU 1.3 won’t even require any core hacks any more. We won’t have to maintain a hacked copy of pluggable.php anymore! :) There are also some other cool features with WPMU 1.3 that I’m looking forward to, because it will let us simplify the code a bit… it should be a good release.

A couple people have recently expressed interest or submitted code for the plugin, so it’s nice to be able to start thinking about the plugin with support from others. One developer in particular has been working on doing Authorization with the plugin..! I’d really like to include this sort of functionality in a 2.0 release, as I think that most users of the plugin would like to centralize their management of user roles for blogs. Things like department announcement blogs become a lot easier if this was set up…

Wistful thinking. But I would like to take a serious look at the plugin’s glue code, to make it more than just a proxy account creator…

*internal gears turning* hmmm… I already have some other ideas for v2.0. :)

-sean

2 Responses to “WPMU-LDAP: WPMU 1.3rc2 Compatibility”

  1. rharrison Says:

    Did you have to change anything at all for a clean WPMU 1.3 install? I’ve installed the current version of the wpmu-ldap plugin and it seems like the LDAP login is never getting called even though I have enabled it under LDAP Options in the admin interface. The thing that’s really bugging me is that I can’t seem to get any error messages at all so I can’t debug my LDAP settings to see if they’re the problem.

    Any ideas?
    http://sourceforge.net/tracker/index.php?func=detail&aid=1826469&group_id=196841&atid=959075

  2. Sean Says:

    You know, after re-reading this post, I realize how incredibly vague I was.

    version 1.2 of the plugin doesn’t, unfortunately, work with WPMU 1.3 (or 1.3 RC2 for that matter), but it would work with some minor tweaks. The notable one being the removal of the pluggable.php file. That’s what I meant, but really not what I wrote. At least not clearly. :)

    Anyway, the plugin has a new release, and it has a package specifically for WPMU 1.3. This should help.

    -sean

Leave a Reply

You must be logged in to post a comment.